Bug 1127588 - IE9: Can't create External connection
Summary: IE9: Can't create External connection
Keywords:
Status: VERIFIED
Alias: None
Product: JBoss BPMS Platform 6
Classification: Retired
Component: BAM
Version: unspecified
Hardware: Unspecified
OS: Unspecified
medium
high
Target Milestone: ER3
: 6.1.0
Assignee: Roger Martínez
QA Contact: Gui Jospin
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-07 08:17 UTC by Jan Hrcek
Modified: 2019-02-28 22:40 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Only in IE9 seems that when using innerHTML method, it evaluates the scripts found in the html code to insert, this behavior not happens in other IE versions (8, 10,11) neither Chrome/Safari. So all the script tags inserted in the ajax refreshed portlet, in IE9, are executed twice: once when using innerHTML (attach the http response to a DOM element) and further when adding the new DOM element into the existing DOM tree (appendChild). Consequence: Both setAjax and refreshPanel javascript functions were called twice, producing some unexpected errors. Fix: Control that both setAjax and refreshPanel javascript functions are only executed once per ajax request. Result: As functions are called just once,no unexpected results appear.
Clone Of:
Environment:
Windows 2008, Internet Explorer 9
Last Closed:
Type: Bug


Attachments (Terms of Use)
Video showing the problem (1.72 MB, video/webm)
2014-08-07 08:17 UTC, Jan Hrcek
no flags Details

Description Jan Hrcek 2014-08-07 08:17:17 UTC
Created attachment 924782 [details]
Video showing the problem

Description of problem:
Similar to bug #1127150 the panel for creation of External Connections (Data Source manager) is also broken.
When creating connection (both JNDI or JDBC-based) the buttons Check DataSource and Save do not take user to the list of connections, but instead take him back to the place where he has to select type of the data source.

Observe example interaction in the video when I am unable to create (admittedly wrongly configured - but this works on other browsers) any external connection

Version-Release number of selected component (if applicable):
BPMS 6.1.0 DR1  + Internet Explorer 9

How reproducible:
Always

Comment 1 Roger Martínez 2014-12-01 20:24:02 UTC
Fixed. 
Tested in Chrome, Firefox, Safari, IE9, IE10
Added comments in DOC text.

Commits:
master -> https://github.com/droolsjbpm/dashboard-builder/commit/bdc519ffe076bb84a9cb00556f61a8ed010ce03b
6.2.x -> https://github.com/droolsjbpm/dashboard-builder/commit/56168d6407f680845306bbd26bf81e503c4a2523

Comment 2 Roger Martínez 2014-12-01 20:24:35 UTC
Fixed. 
Tested in Chrome, Firefox, Safari, IE9, IE10
Added comments in DOC text.

Commits:
master -> https://github.com/droolsjbpm/dashboard-builder/commit/bdc519ffe076bb84a9cb00556f61a8ed010ce03b
6.2.x -> https://github.com/droolsjbpm/dashboard-builder/commit/56168d6407f680845306bbd26bf81e503c4a2523

Comment 3 Jan Hrcek 2014-12-17 08:53:05 UTC
Ok, verified with BPM Suite 6.1 ER3.


Note You need to log in before you can comment on or make changes to this bug.